<?php if(!defined('ABSPATH') || !is_admin()) exit(); ?>
<h1><?php printf( __('%s Currency Conversion Plugin Settings','xoogu-currency-conversion'), 'Xoogu');?></h1>
<?php
if(is_plugin_active_for_network(plugin_basename($this->mainPluginFile)) && is_network_admin()) {
	$postURL = network_admin_url('settings.php?page=xoogu_currency_conversion');
	$network = true;
} else {
	$postURL = get_admin_url(null, 'options-general.php?page=xoogu_currency_conversion');
	$network = false;
}
?><form action="<?php echo $postURL;?>" method="post" enctype="multipart/form-data" autocomplete="off" id="xoogu_currency_conversion_options_form">
	<?php
	//if there were any errors when we validated the POSTed data, print them out
	if(!empty($errors)){
		echo '<div class="error"><ul>';
		foreach($errors as $msg){
			echo '<li>'.$msg.'</li>';
		}
		echo '</ul></div>';
	}?>
	<dl>
		<?php if (!empty($network)) {
			?><dt><?php _e('Use single settings for all blogs in network','xoogu-currency-conversion'); ?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('Normally if you save the settings using this Network Admin page, then the settings will be saved for each blog on the network individually. The admin for each blog can then modify the settings as they see fit using the settings for the plugin in their blog\'s admin area.','xoogu-currency-conversion'); ?></p>
				<p><?php _e('If you choose this setting, then the settings are saved just once for the whole network, and the plugin settings page will not appear in the admin area for each indivdual blog.','xoogu-currency-conversion'); ?></p>
			</div>
			<label for="networkOnly"><?php _e('Network only','xoogu-currency-conversion'); ?></label>
			<input type="checkbox" name="options[networkOnly]" id="networkOnly" <?php if (!empty($formValues['networkOnly'])) {
				?>checked="checked" <?php
			} ?>/>
		</dd><?php
		}?><dt><?php _e('Default currency to convert from','xoogu-currency-conversion');?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('You can set a default currency to convert from. This will always be used for conversions unless you specify the from attribute in the shortcode tag.','xoogu-currency-conversion');?></p>
				<p><?php _e('If left blank, then the shortcode will try to determine which currency to convert from automatically based on the text it encloses. (Or it will use the from attribute if this is set).','xoogu-currency-conversion');?></p>
			</div>
			<label for="from"><?php _e('From:','xoogu-currency-conversion');?></label>
			<select name="options[from]" id="from">
				<?php $codes = $this->getCurrencyList();
				array_unshift($codes, '');
				foreach($codes as $code){
					echo '<option'.(!empty($formValues['from']) && $formValues['from']==$code ? ' selected="selected"' : '').'>'.$code.'</option>';
				}
				unset($code,$codes);?>
			</select>
		</dd>
		<?php if (!empty($this->_CountryFromIP_Admin)) {?>
		<dt><?php _e('Detect user\'s country from their IP address','xoogu-currency-conversion');?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('Unless the currency to convert to is given as a shortcode attribute, the shortcode will convert the amount to the currency of the visitor\'s country. To do this, the plugin needs a way of looking up the visitor\'s country from their IP address.','xoogu-currency-conversion');?></p>
				<p><?php _e('The plugin supports a number of different Geo IP lookup methods, and you can choose which one to use. If the drop-down below has no options to choose from, you can install the GeoIP Detection plugin to add the needed functionality.','xoogu-currency-conversion');?></p>
			</div>
			<?php $this->_CountryFromIP_Admin->printFormFields($network); ?>
			<p><?php if ($this->_CountryFromIP_Admin->getGeoMethod()) {
				$info = $this->getCurrencyByIP();
				if(!$info){
					printf(__('Couldn\'t detect currency details for your IP address %s', 'xoogu-currency-conversion'), $this->_getGeoIP()->getIP());
				}else{
					printf(__('Your country code is %s, which uses the currency code %s', 'xoogu-currency-conversion'), $info->country, $info->code);
				}
				unset($info);
			}?></p>
		</dd>
		<?php }?>
		<dt><?php _e('Replacement format','xoogu-currency-conversion');?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('The format that will be used for replacing the text enclosed by the shortcode. You can use the following replacements as part of the format:','xoogu-currency-conversion');?></p>
				<dl>
					<dt>%o</dt>
					<dd><?php _e('Original text (the text enclosed by the shortcode)','xoogu-currency-conversion');?></dd>
					<dt>%sy</dt>
					<dd><?php _e('Currency symbol e.g. $','xoogu-currency-conversion');?></dd>
					<dt>%sn</dt>
					<dd><?php _e('Currency symbol in html numerical entity format','xoogu-currency-conversion');?></dd>
					<dt>%sx</dt>
					<dd><?php _e('Currency symbol in html hex entity format','xoogu-currency-conversion');?></dd>
					<dt>%n</dt>
					<dd><?php _e('Name of currency e.g. dollars','xoogu-currency-conversion');?></dd>
					<dt>%fn</dt>
					<dd><?php _e('Full name of currency e.g. United States Dollars','xoogu-currency-conversion');?></dd>
					<dt>%c</dt>
					<dd><?php _e('ISO currency code e.g. USD','xoogu-currency-conversion');?></dd>
					<dt>%a</dt>
					<dd><?php _e('The amount converted to local currency','xoogu-currency-conversion');?></dd>
					<dt>%asy</dt>
					<dd><?php _e('The amount converted to local currency with the symbol positioned before or after the amount as appropriate','xoogu-currency-conversion');?></dd>
					<dt>%asn</dt>
					<dd><?php _e('The amount converted to local currency with the symbol in html numerical entity format positioned before or after the amount as appropriate','xoogu-currency-conversion');?></dd>
					<dt>%asx</dt>
					<dd><?php _e('The amount converted to local currency with the symbol in html hex entity format positioned before or after the amount as appropriate','xoogu-currency-conversion');?></dd>
					<?php /*<dt>%ac</dt>
					<dd><?php _e('The amount converted to local currency with the ISO currency code positioned before or after the amount as appropriate','xoogu-currency-conversion');?></dd>*/?>
				</dl>
				<p><?php _e('E.g. [currencyConversion to="GBP"]50 USD[/currencyConversion] with a format of \'%o (%a %c)\' would give \'50 USD (33.21 GBP)\'.','xoogu-currency-conversion');?></p>
				<p><?php _e('Or [currencyConversion]USD 50[/currencyConversion] with a format of \'%o - %asy in %n\' would show \'USD 50 - 35.72 € in Euros\' to a visitor from Austria.','xoogu-currency-conversion');?></p>
				<p><?php _e('Please note that the options to position the currency symbol or code before or after the amount as appropriate (%asy, %asn, %asx, %ac) will only do this if the amount to be converted to is determined from the visitor\'s country. In cases where you specify the currency to be converted to, the currency symbol will always be positioned to the left of the converted amount. This is because the symbol position is determined from the visitor\'s country and not the type of currency.','xoogu-currency-conversion');?></p>
			</div>
			<label for="format"><?php _e('Format','xoogu-currency-conversion')?>:</label>
			<input type="text" name="options[format]" id="format" value="<?php echo $formValues['format'];?>" />
		</dd>
		<dt><?php _e('Number of decimal places to use','xoogu-currency-conversion');?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('You can choose to specify the number of decimal places that will be used when displaying the converted amount. If empty then the amount of decimal places will be automatically decided based on the currency being converted to. (Most currencies use 2 decimal places).','xoogu-currency-conversion');?></p>
			</div>
			<label for="dec_places"><?php _e('dec_places:','xoogu-currency-conversion');?></label>
			<input type="number" min="0" value="<?php if(isset($formValues['dec_places'])){ echo $formValues['dec_places'];}?>" name="options[dec_places]" id="dec_places" <?php if(isset($errors['dec_places'])){echo 'class="error"';}?>/>
		</dd>
		<dt><?php _e('Use static rates','xoogu-currency-conversion');?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('You can choose to use static conversion rates that are saved as part of the post / page metadata. Then in 10 years time if someone vists a post you made today, they will see what the amount was in their local currency at the time the post was written, rather than at current conversion rates.','xoogu-currency-conversion');?></p>
				<p><?php _e('Note that the rates are saved when a post containing the shortcode is saved. So if you draft a post with the shortcode in today, but publish it in a month\'s time, the rates saved will be from today. If you publish a post today without the shortcode, then edit the post a month later and add the shortcode, the rates would be saved at the time the shortcode is added.','xoogu-currency-conversion');?></p>
				<p><?php printf(__('You can also enable this functionality on a per shortcode basis by adding the attribute %1$s. Or, if you set static rates for all shortcodes here, you can disable it on a per shortcode basis by adding the attribute %2$s.','xoogu-currency-conversion'), 'static=&quot;1&quot;', 'static=&quot;0&quot;');?></p>
			</div>
			<label for="static"><?php _e('Static:','xoogu-currency-conversion');?></label>
			<input type="checkbox" value="1" name="options[static]" id="static"<?php if(!empty($formValues['static'])){echo ' checked="checked"';}?> />
		</dd>
		<dt><?php _e('Frequency to update exchange rates','xoogu-currency-conversion');?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('The plugin will automatically fetch updated currency conversion rates from Yahoo Finance. You can specify how often the rates should be updated.','xoogu-currency-conversion');?></p>
				<p><?php _e('Please note that the only options built-in to wordpress are hourly, daily, and twice daily. If you see any other options here, they have probably been added by a theme or plugin. You can use them, but they may stop working if the plugin / theme that added them is removed.','xoogu-currency-conversion');?></p>
				<p><?php printf(__('Rates were last updated: %s','xoogu-currency-conversion'), date_i18n('r', get_site_option('xoogu_currency_conversion_ratesLastUpdated') ));?></p>
			</div>
			<label for="updateFreq"><?php _e('Update Frequency:','xoogu-currency-conversion');?></label>
			<select id="updateFreq" name="options[updateFreq]">
			<?php
			$freqs = wp_get_schedules();
			foreach($freqs as $key => $info){
				echo '<option value="'.$key.'"'.($formValues['updateFreq']==$key ? ' selected="selected"' : '').'>'.$info['display'].'</option>';
			}
			?></select>
		</dd>
		<dt><?php _e('Add ons','xoogu-currency-conversion');?></dt>
		<dd>
			<div class="desc">
				<p><?php _e('Add ons to add additional functionality such as sidebar widgets.');?></p>
			</div>
			<dl id="xcc-addOns">
			<?php
			
			//get installed addOns
			$addOns = $this->getAddOnsData($this->_sBasePath.'/add-ons/'); 
			foreach($addOns as $addOnFile => $addOn){
				echo '<dt>'.$addOn['Name'].'</dt>';
				echo'<dd>';
				echo '<label for="'.$addOn['Name'].'-on">'.__('On', 'xoogu-currency-conversion').'</label>';
				echo '<input type="radio" value="1" id="'.$addOn['Name'].'-on" name="options[addOns]['.$addOnFile.']" '.(!empty($this->options['addOns'][$addOnFile]) ? 'checked="checked"' : '').'/>';
				echo '</dd><dd>';
				echo '<label for="'.$addOn['Name'].'-off">'.__('Off', 'xoogu-currency-conversion').'</label>';
				echo '<input type="radio" value="" id="'.$addOn['Name'].'-off" name="options[addOns]['.$addOnFile.']"  '.(empty($this->options['addOns'][$addOnFile]) ? 'checked="checked"' : '').'/>';
				echo'</dd>';
				echo '<dd>'.$addOn['Description'].'</dd>';
			}
			
			?>
			</dl>
		</dd>
	</dl>
<?php
//create the hidden nonce and referrer fields - http://codex.wordpress.org/Function_Reference/wp_nonce_field
wp_nonce_field('save_settings', '_xoogu_currencyConversion_nonce');
submit_button();
?>
</form>